org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class SumTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.SumTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.SumTest.Traversals

- Enclosing class:
    SumTest

      public static class SumTest.Traversals
      extends SumTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.SumTest

      `SumTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<List<Integer>,Number>` | `get_g_injectXlistXnull_10_5_nullXX_sumXlocalX()`
    `Traversal<Integer,Number>` | `get_g_injectXnull_10_5_nullX_sum()`
    `Traversal<Vertex,Number>` | `get_g_V_age_fold_sumXlocalX()`
    `Traversal<Vertex,Number>` | `get_g_V_age_sum()`
    `Traversal<Vertex,Number>` | `get_g_V_aggregateXaX_byXageX_capXaX_unfold_sum()`
    `Traversal<Vertex,Number>` | `get_g_V_aggregateXaX_byXageX_sumXlocalX()`
    `Traversal<Vertex,Number>` | `get_g_V_aggregateXaX_byXfooX_capXaX_unfold_sum()`
    `Traversal<Vertex,Number>` | `get_g_V_aggregateXaX_byXfooX_sumXlocalX()`
    `Traversal<Vertex,Number>` | `get_g_V_foo_fold_sumXlocalX()`
    `Traversal<Vertex,Number>` | `get_g_V_foo_sum()`
    `Traversal<Vertex,Map<String,Number>>` | `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.SumTest

      `g_injectXlistXnull_10_5_nullXX_sumXlocalX, g_injectXnull_10_5_nullX_sum, g_V_age_fold_sumXlocalX, g_V_age_sum, g_V_aggregateXaX_byXageX_capXaX_unfold_sum, g_V_aggregateXaX_byXageX_sumXlocalX, g_V_aggregateXaX_byXfooX_capXaX_unfold_sum, g_V_aggregateXaX_byXfooX_sumXlocalX, g_V_foo_fold_sumXlocalX, g_V_foo_sum, g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_age_sum

          public Traversal<Vertex,Number> get_g_V_age_sum()

      Specified by:
        `get_g_V_age_sum` in class `SumTest`

    - #### get_g_injectXnull_10_5_nullX_sum

          public Traversal<Integer,Number> get_g_injectXnull_10_5_nullX_sum()

      Specified by:
        `get_g_injectXnull_10_5_nullX_sum` in class `SumTest`

    - #### get_g_injectXlistXnull_10_5_nullXX_sumXlocalX

          public Traversal<List<Integer>,Number> get_g_injectXlistXnull_10_5_nullXX_sumXlocalX()

      Specified by:
        `get_g_injectXlistXnull_10_5_nullXX_sumXlocalX` in class `SumTest`

    - #### get_g_V_aggregateXaX_byXageX_sumXlocalX

          public Traversal<Vertex,Number> get_g_V_aggregateXaX_byXageX_sumXlocalX()

      Specified by:
        `get_g_V_aggregateXaX_byXageX_sumXlocalX` in class `SumTest`

    - #### get_g_V_aggregateXaX_byXageX_capXaX_unfold_sum

          public Traversal<Vertex,Number> get_g_V_aggregateXaX_byXageX_capXaX_unfold_sum()

      Specified by:
        `get_g_V_aggregateXaX_byXageX_capXaX_unfold_sum` in class `SumTest`

    - #### get_g_V_aggregateXaX_byXfooX_sumXlocalX

          public Traversal<Vertex,Number> get_g_V_aggregateXaX_byXfooX_sumXlocalX()

      Specified by:
        `get_g_V_aggregateXaX_byXfooX_sumXlocalX` in class `SumTest`

    - #### get_g_V_aggregateXaX_byXfooX_capXaX_unfold_sum

          public Traversal<Vertex,Number> get_g_V_aggregateXaX_byXfooX_capXaX_unfold_sum()

      Specified by:
        `get_g_V_aggregateXaX_byXfooX_capXaX_unfold_sum` in class `SumTest`

    - #### get_g_V_age_fold_sumXlocalX

          public Traversal<Vertex,Number> get_g_V_age_fold_sumXlocalX()

      Specified by:
        `get_g_V_age_fold_sumXlocalX` in class `SumTest`

    - #### get_g_V_foo_sum

          public Traversal<Vertex,Number> get_g_V_foo_sum()

      Specified by:
        `get_g_V_foo_sum` in class `SumTest`

    - #### get_g_V_foo_fold_sumXlocalX

          public Traversal<Vertex,Number> get_g_V_foo_fold_sumXlocalX()

      Specified by:
        `get_g_V_foo_fold_sumXlocalX` in class `SumTest`

    - #### get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX

          public Traversal<Vertex,Map<String,Number>> get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX()

      Specified by:
        `get_g_V_hasLabelXsoftwareX_group_byXnameX_byXbothE_weight_sumX` in class `SumTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.